Get property details (v1)
Returns one hotel or restaurant, for its TripAdvisor page link, such as a /tripadvisor/list → row's url. data is null when no property page was served.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
url*string
The hotel or restaurant's TripAdvisor page, such as a /tripadvisor/list row's url. Hotel or restaurant is read from the link.
Length
length <= 1000curl -X GET "https://example.com/v1/tripadvisor/detail?url=https%3A%2F%2Fwww.tripadvisor.com%2FHotel_Review-g60713-d115623-Reviews-Chancellor_Hotel_on_Union_Square-San_Francisco_California.html" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "geo_id": 60713, "location_id": 115623, "kind": "hotels", "url": "https://www.tripadvisor.com/Hotel_Review-g60713-d115623-Reviews-Chancellor_Hotel_on_Union_Square-San_Francisco_California.html", "schema_type": "LodgingBusiness", "name": "Chancellor Hotel on Union Square", "rating": 4.5, "rating_scale_max": 5, "review_count": 3309, "price_range": "$$$", "telephone": "+1 415-392-3434", "image": "string", "address": { "street_address": "999 California Street", "locality": "San Francisco", "region": "CA", "postal_code": "94108", "country": "US" }, "geo": { "latitude": 37.791553, "longitude": -122.41039 }, "breadcrumbs": [ { "position": 1, "name": "United States", "url": "string" } ] }, "details": { "reason": "no_results", "message": "string" }}